TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

VectorSpace ( fld^fin F, fld^fin E ) -> mdl^vec/fld, map()

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> Given a finite field F and a subfield E of F such that F is of degree n over E, return the vector space V = E^(n) together with the isomorphism from F onto V such that w^i is mapped to the (i + 1)-th unit vector of V, where w is the defining generator of F over E. </shortdoc>

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack